<!DOCTYPE html>
<html xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:f="http://java.sun.com/jsf/core" xmlns="http://www.w3.org/1999/xhtml">
<h:head>
    <h:outputStylesheet library="stylesheet" name="HPDSimulator-${gazelle-assets-version}.min.css"/>
    <title>HPD Simulator</title>
    <link rel="shortcut icon" href="#{request.contextPath}/favicon.ico"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <ui:insert name="header"/>
    <h:outputScript library="jscript" name="jquery_1_11_2.min.js"/>
    <h:outputScript library="jscript" name="moment.js"/>
    <h:outputScript library="jscript" name="daterangepicker.js"/>
    <h:outputScript library="jscript" name="bootstrap.min.js"/>
    <h:outputScript library="jscript" name="chosen.jquery.min.js"/>
    <h:outputScript library="jscript" name="summernote.min.js"/>
    <h:outputScript library="jscript" name="gazelleTools.js"/>
    <script>
        //  in case of conflicts
        jq162 = jQuery.noConflict(true);

        jq162(function () {
            updateSelects();
            jq162('[data-toggle="popover"]').popover({html: true})
        });

        function updateSelects() {
            updateSelects_(jq162, {allow_single_deselect: true, display_selected_options: true, width: "90%"});
        }
    </script>
</h:head>
<h:body>
    <f:view>
        <ui:include src="/ajaxStatus.xhtml"/>
        <h:form>
            <ui:decorate template="/layout/menu/_menu_template.xhtml">
                <ui:define name="menu_title">
                    <h:outputLink value="/HPDSimulator/">
                        <h:outputText styleClass="navbar-brand" value="HPD Simulator"/>
                    </h:outputLink>
                </ui:define>
                <ui:define name="menu_logo">
                    <h:graphicImage library="img" name="gazelle.png"/>
                </ui:define>
                <ui:define name="menu_navigation_links">
                    <ui:include src="/layout/menu_links.xhtml"/>
                </ui:define>
                <ui:define name="menu_user_actions_right">
                    <ui:decorate template="/layout/menu-right.xhtml">
                        <ui:param name="applicationRoot" value="HPDSimulator"/>
                        <ui:define name="administration_links">
                            <li>
                                <h:outputLink value="/HPDSimulator/messages/companyDetailsList.seam">
                                    <h:outputText value="Manage companies"/>
                                </h:outputLink>
                            </li>
                            <li>
                                <h:outputLink value="/HPDSimulator/administration/manageCIDDMessages.seam">
                                    <h:outputText value="Manage CIDD messages"/>
                                </h:outputLink>
                            </li>
                            <li role="separator" class="divider"></li>
                            <li class="dropdown-submenu-left dropdown-menu-right">
                                <a href="#">
                                    <h:outputText value="LDAP Server"/>
                                </a>
                                <ul class="dropdown-menu">
                                    <li>
                                        <h:outputLink value="/HPDSimulator/administration/manageNodes.seam">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.hpd.ManageLDAPNodes']}"/>
                                        </h:outputLink>
                                    </li>
                                    <li>
                                        <h:outputLink value="/HPDSimulator/administration/managePartitions.seam">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.hpd.ManageLDAPPartitions']}"/>
                                        </h:outputLink>
                                    </li>
                                    <li>
                                        <h:outputLink value="/HPDSimulator/administration/manageLDAPStructure.seam">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.hpd.UploadLDAPStructure']}"/>
                                        </h:outputLink>
                                    </li>
                                    <li>
                                        <h:outputLink value="/HPDSimulator/administration/objectClasses.seam">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.hpd.ObjectClasses']}"/>
                                        </h:outputLink>
                                    </li>
                                    <li>
                                        <h:outputLink value="/HPDSimulator/administration/attributeTypes.seam">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.hpd.AttributeTypes']}"/>
                                        </h:outputLink>
                                    </li>
                                </ul>
                            </li>
                            <li class="dropdown-submenu-left dropdown-menu-right">
                                <a href="#">
                                    <h:outputText value="Validation Tool"/>
                                </a>
                                <ul class="dropdown-menu">
                                    <li>
                                        <h:outputLink value="/HPDSimulator/docum/upload/uploadConstraints.seam">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.hpd.ManageHPDConstraintsFile']}"/>
                                        </h:outputLink>
                                    </li>
                                    <li>
                                        <h:outputLink value="/HPDSimulator/administration/usageStatistics.seam">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.hpd.Statistics']}"/>
                                        </h:outputLink>
                                    </li>
                                </ul>
                            </li>
                        </ui:define>
                    </ui:decorate>
                </ui:define>
            </ui:decorate>
        </h:form>
        <div id="gzl-container">
            <div class="row">
                <div class="center-block gazelle-alert">
                    <s:decorate id="gazelle-messages">
                        <rich:messages globalOnly="true" escape="false"
                                       styleClass="fade-out-up text-center"
                                       infoClass="alert gzl-alert-green animated-fast"
                                       warnClass="alert gzl-alert-orange animated-slow"
                                       errorClass="alert gzl-alert-red animated-slow">
                        </rich:messages>
                    </s:decorate>
                </div>
            </div>
            <ui:insert name="body"/>
        </div>

        <ui:include src="footer.xhtml"/>
        <ui:include src="_scrollup.xhtml"/>
    </f:view>
    <a4j:status onstop="updateSelects()"/>
</h:body>
<h:outputScript library="jscript" name="ie10-viewport-bug-workaround.js"/>
</html>
